This repository has been archived by the owner. It is now read-only.

Fail with Erlang R16B, print workaround message. #18548

Closed
wants to merge 1 commit into
from

Conversation

Projects
None yet
2 participants
Contributor

janl commented Mar 17, 2013

See #18256 for context.

Library/Formula/couchdb.rb
+ You can install this with:
+
+ $ brew unlink erlang
+ $ cd /usr/local
@samueljohn

samueljohn Mar 18, 2013

Contributor

$ cd #{HOMEBREW_REPOSITORY} ?

@janl

janl Mar 18, 2013

Contributor

Fixed, thanks!

Contributor

samueljohn commented Mar 18, 2013

I don't know nothing of such things as erlang and couchdb. Another maintainer want to decide?

Contributor

janl commented Mar 18, 2013

@samueljohn is there anything I can help with? (I'm one of the CouchDB devs)

My intention here is to give user best guidance on how to proceed for the time of the incompatibility. I had two instances of this on twitter yesterday, so I thought it'd be worth it to put into Homebrew. An alternative would be to downgrade Homebrew to the previous Erlang version, but I assume that's more hassle than is worth.

In the meantime, we'll try to get the compat issue resolved.

Contributor

samueljohn commented Mar 18, 2013

This gives you some authority, then :-)
I trust you that this is good for couchdb. Sometimes, we just pin a software to a version if it breaks compatibility with other (important) software. Such as couchdb. I cannot judge what would be the best strategy here but I feel it's good to pull this as a quick-fix.

Contributor

samueljohn commented Mar 18, 2013

Pulled thanks! Would you ping us please if couchdb has a patch for it?

@adamv are you cool with this?

@ghost ghost assigned samueljohn Mar 18, 2013

Contributor

janl commented Mar 18, 2013

Excellent, will do :)

On 18.03.2013, at 12:47, Samuel John notifications@github.com wrote:

Pulled thanks! Would you ping us please if couchdb has a patch for it?

@adamv are you cool with this?


Reply to this email directly or view it on GitHub.

nesv added a commit to nesv/homebrew that referenced this pull request Apr 12, 2013

chouchdb: Needs Erlang <= R15B, print workaround.
Adds an Requirement for Erlang not greater than R15B.

Closes #18548.

Signed-off-by: Samuel John <github@SamuelJohn.de>

@xu-cheng xu-cheng locked and limited conversation to collaborators Feb 16, 2016

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.